//----------------------------------------------------------------------------
#ifndef LogoMainH
#define LogoMainH
//----------------------------------------------------------------------------
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <StdCtrls.hpp>
#include <Dialogs.hpp>
#include <Menus.hpp>
#include <Controls.hpp>
#include <Forms.hpp>
#include <Graphics.hpp>
#include <Classes.hpp>
#include <Windows.hpp>
#include <System.hpp>
//----------------------------------------------------------------------------

#include "..\cximage\ximage.h"

class TLogoAppForm : public TForm
{
__published:
    TMainMenu *LogoAppMenu;
	TMenuItem *FileMenu;
	TMenuItem *FileNewItem;
	TMenuItem *FileOpenItem;
	TMenuItem *FileSaveItem;
	TMenuItem *FileSendItem;
	TMenuItem *FileExitItem;
	TOpenDialog *OpenDialog;
	TSaveDialog *SaveDialog;
	TMenuItem *Help1;
	TMenuItem *AboutItem;
	TPanel *SpeedPanel;
	TSpeedButton *OpenBtn;
	TSpeedButton *SaveBtn;
	TSpeedButton *ExitBtn;
	TStatusBar *StatusBar;
	TSpeedButton *SendBtn;
    TMenuItem *Mirror1;
    TMenuItem *Flip1;
    TMenuItem *Negative1;
    TMenuItem *N3;
    TMenuItem *RotateRight1;
    TMenuItem *N4;
    TMenuItem *GrayScale1;
    TMenuItem *Dither1;
    TMenuItem *N5;
    TMenuItem *Lighten1;
    TMenuItem *Darken1;
    TMenuItem *Contrast1;
    TMenuItem *Erode1;
    TMenuItem *Dilate1;
    TMenuItem *N6;
    TMenuItem *Blur1;
    TMenuItem *Soften1;
    TMenuItem *Sharpen1;
    TMenuItem *Edge1;
    TMenuItem *Emboss1;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FileExit(TObject *Sender);
	void __fastcall FileNew(TObject *Sender);
	void __fastcall FileOpen(TObject *Sender);
	void __fastcall FileSave(TObject *Sender);
	void __fastcall FileSaveAs(TObject *Sender);
	void __fastcall FileSend(TObject *Sender);
	void __fastcall About(TObject *Sender);
	void __fastcall ShowHint(TObject *Sender);

    void __fastcall FormPaint(TObject *Sender);
    void __fastcall FormResize(TObject *Sender);
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall Mirror1Click(TObject *Sender);
    void __fastcall Flip1Click(TObject *Sender);
    void __fastcall Negative1Click(TObject *Sender);
    void __fastcall N3Click(TObject *Sender);
    void __fastcall RotateRight1Click(TObject *Sender);
    void __fastcall GrayScale1Click(TObject *Sender);
    void __fastcall Dither1Click(TObject *Sender);
    void __fastcall Lighten1Click(TObject *Sender);
    void __fastcall Darken1Click(TObject *Sender);
    void __fastcall Contrast1Click(TObject *Sender);
    
    void __fastcall Erode1Click(TObject *Sender);
    void __fastcall Dilate1Click(TObject *Sender);
    void __fastcall Blur1Click(TObject *Sender);
    void __fastcall Soften1Click(TObject *Sender);
    void __fastcall Sharpen1Click(TObject *Sender);
    void __fastcall Edge1Click(TObject *Sender);
    void __fastcall Emboss1Click(TObject *Sender);
private:
	AnsiString FFileName;
    CxImage* ximage;
public:
	virtual __fastcall TLogoAppForm(TComponent *Owner);
};
//----------------------------------------------------------------------------
extern TLogoAppForm *LogoAppForm;
//----------------------------------------------------------------------------
#endif
